petsc-3.4.2 2013-07-02

# PetscGetNCores

Gets the number of available cores on the system

### Synopsis

    #include "petscthreadcomm.h"
    PetscErrorCode PetscGetNCores(PetscInt *ncores)

Not Collective

Notes Defaults to 1 if the available core count cannot be found

Level:developer
Location:src/sys/threadcomm/interface/threadcomm.c
Index of all PetscThreadComm routines
Table of Contents for all manual pages
Index of all manual pages